Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037170
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfaceminoralways2017-10-26 19:302018-02-22 18:18
ReportercaristuView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision27839f3cbb27
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037170: SQL Query window has unneeded buttons

DescriptionThe SQL Query window is displaying some buttons which are useless (see attached image):

- Go to First Record
- Go Back One Record
- Go Forward One Record
- Go to Last Record
- Linked Items

Besides, when clicking on any of these buttons JS errors are thrown.
Steps To Reproduce1) Login in as System Administrator
2) Open the [SQL Query] window
3) Click on any of the buttons mentioned in the description. A JS error will be thrown in the browser's console.
Proposed SolutionDo not display those buttons
TagsNo tags attached.
Attached Filespng file icon sqlQueryUnusedButtons.png [^] (76,572 bytes) 2017-10-26 19:30


patch file icon bug-37170.patch [^] (2,351 bytes) 2018-01-11 10:21 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037604 acknowledgedjarmendariz Clean up unused methods and parameters in ToolBar 

-  Notes
(0101823)
hgbot (developer)
2018-01-22 11:15

Repository: erp/devel/pi
Changeset: 27839f3cbb2737b2fbab3337b33aa5c084d82112
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Jan 11 10:20:02 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/27839f3cbb2737b2fbab3337b33aa5c084d82112 [^]

Fixed bug 37170: Remove unneeded toolbar buttons in SQL Query window.

This removes some navigation buttons in SQL Query Window that currently has no functionality.

---
M src/org/openbravo/erpCommon/utility/ToolBar.java
---
(0101824)
caristu (developer)
2018-01-22 11:15

Code reviewed + tested OK.
(0102671)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-10-26 19:30 caristu New Issue
2017-10-26 19:30 caristu Assigned To => platform
2017-10-26 19:30 caristu File Added: sqlQueryUnusedButtons.png
2017-10-26 19:30 caristu Modules => Core
2017-10-26 19:30 caristu Triggers an Emergency Pack => No
2017-10-26 19:30 caristu Status new => acknowledged
2017-10-26 19:36 caristu Proposed Solution updated
2017-12-13 19:29 caristu Assigned To platform => jarmendariz
2018-01-09 11:59 jarmendariz Status acknowledged => scheduled
2018-01-10 09:32 jarmendariz Relationship added related to 0037604
2018-01-11 10:21 jarmendariz File Added: bug-37170.patch
2018-01-19 14:38 jarmendariz Review Assigned To => caristu
2018-01-22 11:15 hgbot Checkin
2018-01-22 11:15 hgbot Note Added: 0101823
2018-01-22 11:15 hgbot Status scheduled => resolved
2018-01-22 11:15 hgbot Resolution open => fixed
2018-01-22 11:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/27839f3cbb2737b2fbab3337b33aa5c084d82112 [^]
2018-01-22 11:15 caristu Note Added: 0101824
2018-01-22 11:15 caristu Status resolved => closed
2018-01-22 11:15 caristu Fixed in Version => 3.0PR18Q1
2018-01-22 11:18 caristu Fixed in Version 3.0PR18Q1 => 3.0PR18Q2
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102671


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker